# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/

%global goipath git.sr.ht/~sircmpwn/aerc
Version: 0.5.2
Release: 1%{?dist}

%gometa
%global goname golang-sr-sircmpwn-aerc
%global godevelname golang-sr-sircmpwn-aerc-devel
%global common_description %{expand:
aerc is an email client that runs in your terminal. 
}

Name: %{goname}
Summary: A terminal email client - aerc

License: BSD
URL: %{gourl}
Source0: https://git.sr.ht/~sircmpwn/aerc/archive/%{version}.tar.gz
#from https://git.sr.ht/~sircmpwn/aerc/tree/master/filters/plaintext until release

BuildRequires: go-srpm-macros
BuildRequires: make scdoc git
Requires: less python3-colorama w3m

%description
%{common_description}

%gopkg

%prep
%setup -q -n aerc-%{version}
# % goprep

# % generate_buildrequires
# % go_generate_buildrequires

%build
make %{?_smp_mflags} PREFIX=/usr

%install
make install DESTDIR=%{buildroot} PREFIX=/usr
# % gopkginstall

# % check
# % gochecks

# % gopkgfiles

%files
%{_bindir}/aerc
%{_mandir}/man1/aerc.1*
%{_mandir}/man1/aerc-search.1.*
%{_mandir}/man5/aerc-config.5*
%{_mandir}/man5/aerc-imap.5*
%{_mandir}/man5/aerc-maildir.5*
%{_mandir}/man5/aerc-smtp.5*
%{_mandir}/man5/aerc-sendmail.5.gz
%{_mandir}/man5/aerc-notmuch.5.gz
%{_mandir}/man7/aerc-tutorial.7*
%{_mandir}/man7/aerc-templates.7.gz
%{_mandir}/man7/aerc-stylesets.7.gz
%{_datadir}/aerc/aerc.conf
%{_datadir}/aerc/accounts.conf
%{_datadir}/aerc/binds.conf
%{_datadir}/aerc/filters/html
%{_datadir}/aerc/filters/plaintext
%{_datadir}/aerc/filters/hldiff
%{_datadir}/aerc/templates/*
%{_datadir}/aerc/stylesets/*

%doc README.md
%license LICENSE

%changelog
* Wed Dec 2 2020 Johan Swensson <kupo@kupo.se> - 0.5.2-1
- update to 0.5.2

* Thu Nov 12 2020 Johan Swensson <kupo@kupo.se> - 0.5.1-1
- update to 0.5.1

* Fri Jul 10 2020 Johan Swensson <kupo@kupo.se> - 0.4.0-1
- update to 0.4.0

* Mon Feb 03 2020 Johan Swensson <kupo@kupo.se> - 0.3.0-2
- package missing files

* Mon Feb 03 2020 Johan Swensson <kupo@kupo.se> - 0.3.0-1
- Update to 0.30.

* Mon Jul 29 2019 Johan Swensson <kupo@kupo.se> - 0.2.0-2
- remove old plaintext filter

* Mon Jul 29 2019 Johan Swensson <kupo@kupo.se> - 0.2.0-1
- new upstream release

* Sat Jul 13 2019 Johan Swensson <kupo@kupo.se> - 0.1.4-1
- new upstream release

* Sat Jul 13 2019 Johan Swensson <kupo@kupo.se> - 0.1.3-1
- new upstream release

* Mon Jul 8 2019 Johan Swensson <kupo@kupo.se> - 0.1.2-10
- readd original plaintext filter for now

* Mon Jul 8 2019 Johan Swensson <kupo@kupo.se> - 0.1.2-9
- rename plaintext filter

* Mon Jul 8 2019 Johan Swensson <kupo@kupo.se> - 0.1.2-8
- rename plaintext filter

* Mon Jul 8 2019 Johan Swensson <kupo@kupo.se> - 0.1.2-7
- rebuild

* Mon Jul 8 2019 Johan Swensson <kupo@kupo.se> - 0.1.2-6
- fix permissions

* Mon Jul 8 2019 Johan Swensson <kupo@kupo.se> - 0.1.2-5
- bump releasever

* Mon Jul 8 2019 Johan Swensson <kupo@kupo.se> - 0.1.2-4
- update plaintext filter

* Mon Jul 8 2019 Johan Swensson <kupo@kupo.se> - 0.1.2-3
- bump version for testing

* Mon Jul 8 2019 Johan Swensson <kupo@kupo.se> - 0.1.2-2
- prefix fix

* Mon Jul 8 2019 Johan Swensson <kupo@kupo.se> - 0.1.2-1
- initial build



